Page MenuHomePhabricator

<Math> failed to parse in MediaWiki.org: "Math extension cannot connect to Restbase." as $wgMathEnableExperimentalInputFormats = false
Closed, DeclinedPublic

Description

I received a user's feedback, he got an error in https://www.mediawiki.org/wiki/Extension:Math/Inputtypes

Failed to parse (MathML with SVG or PNG fallback (recommended for modern browsers and accessibility tools): Invalid response ("Math extension cannot connect to Restbase.") from server "/mathoid/local/v1/":): {\displaystyle d/dxf(x)=lim_{h->0}(f(x+h)-f(x))/h}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 4:25 PM
Aklapper renamed this task from <Math> failed to parse in MediaWiki.org to <Math> failed to parse in MediaWiki.org: "Math extension cannot connect to Restbase.".Mar 23 2018, 5:53 PM

The same math statement has the same error on different WMF wikis.

<math type="ascii">d/dxf(x)=lim_{h->0}(f(x+h)-f(x))/h</math>
Physikerwelt closed this task as Invalid.Mar 24 2018, 5:58 PM
Physikerwelt added a subscriber: Physikerwelt.

In T189292 it says

Therefore you have to add $wgMathEnableExperimentalInputFormats = true; to your local config.

this is not the case for wmf wikis.
Please reopen, if you want to enable this feature on wmf wikis.

RazeSoldier reopened this task as Open.Mar 25 2018, 3:36 AM

I think this feature should be enable on MediaWiki.org.

Does need community consensus to modify MediaWiki.org configuration?

Aklapper renamed this task from <Math> failed to parse in MediaWiki.org: "Math extension cannot connect to Restbase." to <Math> failed to parse in MediaWiki.org: "Math extension cannot connect to Restbase." as $wgMathEnableExperimentalInputFormats = false.Mar 30 2018, 7:53 PM
TheDJ added a subscriber: TheDJ.Apr 4 2018, 2:25 PM

@RazeSoldier why do you think it should be enabled on mediawiki.org ? Just for demonstration purposes, or to do something useful ?

Yes, used to demonstration purposes. Also it let users test this feature in the sandbox on mediawiki.org.

I saw:

If you run your private wiki

Enabling this feature will make the public wiki more vulnerable to damage?

This comment was removed by RazeSoldier.
Liuxinyu970226 added a subscriber: Liuxinyu970226.

@RazeSoldier To enable such configuration in our product instances (where it isn't enabled before), you indeed should try to got consensus.

@RazeSoldier As far as I know asciimathml is just a different input method and the output looks the same. It is not worth enabling.

General comment: As there was security-related question, I'd like to remind that doing everything requires a) consent of sysadmin and b) community consensus, where will of a sysadmin can override will of the community. This is needed because the sysadmins are responsible for smooth running, security of the cluster and so on (and not the community, because the community doesn't and sometime cannot know all relevant information needed for responsible decision making). I do not have authority to either approve or reject such changes, but I'd like to remind just in case.

Martin

Debenben closed this task as Declined.May 29 2018, 6:52 PM

One or two demonstration or sandbox items is not worth a discussion about security and community consensus. I think one can showcase the functionality of asciimathml with the LaTeX input good enough: https://www.mediawiki.org/wiki/Extension:Math/Inputtypes

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMay 29 2018, 6:52 PM

PS: In case this really is a security issue one should add a warning into the MediaWiki documentation about this